Bug 1418330 - Term 'certification' is used instead of 'manifest'
Summary: Term 'certification' is used instead of 'manifest'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:01 UTC by Pavel Studeník
Modified: 2017-02-27 11:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 16:35:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-02-01 15:01:23 UTC
Description of problem:
From Satellite 5.8 is used manifest for activation Satellite. But when I try to activate expired manifest I received message with term 'certificate':

For example:

>> rhn-satellite-activate
ERROR: Satellite Certificate appears to have expired: 2017-01-16

On web UI:
Your satellite certificate has expired. Please visit the following link for steps on how to request or generate a new certificate: https://access.redhat.com/knowledge/tools/satcert Your satellite enters restricted period in 5 day(s).


I think that it is confusing for user what is manifest and what is certificate. I prefer to use only one term "manifest".

Version-Release number of selected component (if applicable):
spacewalk-java-2.5.14-48.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. used expired manifest for activation

Actual results:
The term "certificate" is used

Expected results:
Use the word manifest

Additional info:
>> git grep -i "Satellite Certificate"
...
java/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_en_US.xml:        <source>Checks whether satellite certificate has not expired</source>
...
java/code/src/com/redhat/rhn/frontend/strings/template/StringResource_en_US.xml:          {1} - Days Until satellite certificate expiration: 7
...
java/code/src/com/redhat/rhn/frontend/strings/java/StringResource_en_US.xml:        <source>Your satellite certificate has expired. Please visit the following link for steps on how to request or generate a new c
ertificate: &lt;a href="https://access.redhat.com/knowledge/tools/satcert"&gt;https://access.redhat.com/knowledge/tools/satcert&lt;/a&gt;</source>
...

Comment 1 Pavel Studeník 2017-02-01 15:07:42 UTC
On page /rhn/admin/config/ManifestUpload.do I uploaded expired manifest and I receive error: "Certificate expired". Correct message is "Manifest expired".

Comment 3 Grant Gainey 2017-02-09 15:39:39 UTC
The 'thing' that's expired, in this case, *is* the Satellite Certificate, that is embedded in the manifest.zip.

Manifests do not expire. The subscriptions inside them may, but the mainfest itself is just a container of Stuff.

I think that changing this wording is likely to cause more confusion for Sat5 customers, than leaving it alone does. I am proposing to close this as WONTFIX

Comment 4 Tomas Lestach 2017-02-09 16:35:05 UTC
I agree we need to distinguish, what actually within the manifest expired.
Based on Comment 2 I'm closing the bug WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.